package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisOrgMonRepPeri;

/**
 * 月报期间 数据层
 */
@Mapper
public interface BisOrgMonRepPeriMapper {

    /**
     * 查询月报期间信息
     * @param guid 查询条件
     * @return 月报期间信息
     */
    BisOrgMonRepPeri selectBisOrgMonRepPeriByGuid(String guid);

    /**
     * 查询月报期间列表
     * @param bisOrgMonRepPeri 月报期间查询条件
     * @return 月报期间集合
     */
    List<BisOrgMonRepPeri> selectBisOrgMonRepPeriList(BisOrgMonRepPeri bisOrgMonRepPeri);

    /**
     * 新增月报期间
     * @param bisOrgMonRepPeri 月报期间信息
     * @return 影响行数
     */
    int insertBisOrgMonRepPeri(BisOrgMonRepPeri bisOrgMonRepPeri);

    /**
     * 修改月报期间
     * @param bisOrgMonRepPeri 月报期间信息
     * @return 影响行数
     */
    int updateBisOrgMonRepPeri(BisOrgMonRepPeri bisOrgMonRepPeri);

    /**
     * 删除月报期间
     * @param guid 月报期间主键
     * @return 影响行数
     */
    int deleteBisOrgMonRepPeriByGuid(String guid);

    /**
     * 批量删除月报期间
     * @param guids 月报期间主键数组
     * @return 影响行数
     */
    int deleteBisOrgMonRepPeriByGuids(String[] guids);
}
